import { defineNuxtModule, createResolver, addComponent } from '@nuxt/kit';

const module = defineNuxtModule({
  meta: {
    name: "my-module",
    configKey: "myModule"
  },
  // Default configuration options of the Nuxt module
  defaults: {},
  setup(options, nuxt) {
    const resolver = createResolver(import.meta.url);
    addComponent({
      name: "UploadFile",
      filePath: resolver.resolve("runtime/components/UploadFile.vue")
    });
  }
});

export { module as default };
